Docs GODI Archive
Projects Blog Knowledge

Look up function:

(e.g. "List.find" or "keysym")
More options

Module Netcgi1_compat


module Netcgi1_compat: sig .. end
Deprecated.Use the new API instead.
Compatibility module with the previous version of Netcgi.

Opening this module allows a project using the old Netcgi_env and Netcgi_types to compile with minor changes. For documentation, please see the original modules (in the netcgi1 directory). If you are a first time user or start a new project, do not use this module.

Functions that are useful to migrate a project are emphasized with "Portage:". Some comments accompany the functions that changed to give some motivation for the new API. (It is useful to refer to the old documentation to understand everything.)


Version: $Id: netcgi_compat.mli,v 1.7 2005/11/04 00:53:05 chris_77 Exp $


exception Not_implemented of string
Raised by some functions/exceptions when a feature of the old model cannot be implemented in the new model or vice versa
module Netcgi_env: sig .. end
module Netcgi_types: sig .. end
module Netcgi: sig .. end
This web site is published by Informatikbüro Gerd Stolpmann
Powered by Caml